get-campaign-statistics-csv
curl --request GET \
--url https://api.notifly.tech/v1/projects/{projectId}/statistics.csvimport requests
url = "https://api.notifly.tech/v1/projects/{projectId}/statistics.csv"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.notifly.tech/v1/projects/{projectId}/statistics.csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/v1/projects/{projectId}/statistics.csv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/v1/projects/{projectId}/statistics.csv"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notifly.tech/v1/projects/{projectId}/statistics.csv")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/v1/projects/{projectId}/statistics.csv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodydate,resource_type,resource_id,resource_name,node_id,node_name,variant_id,variant_name,channel,channel_subtype,brand_message_target,tags,message_sent,message_failed,delivered,click,conversion_1_name,conversion_1_type,conversion_1_count,conversion_2_name,conversion_2_type,conversion_2_count,conversion_3_name,conversion_3_type,conversion_3_count,conversion_4_name,conversion_4_type,conversion_4_count,conversion_5_name,conversion_5_type,conversion_5_count,conversion_6_name,conversion_6_type,conversion_6_count,conversion_7_name,conversion_7_type,conversion_7_count,conversion_8_name,conversion_8_type,conversion_8_count,conversion_9_name,conversion_9_type,conversion_9_count,conversion_10_name,conversion_10_type,conversion_10_count
01/06/2025,campaign,campaign_example,Welcome,,,,,push-notification,text,,summer,1500,23,1477,234,purchase,전체 전환,45,,,,,,,,,,,,,,,,,,,,,,,,,,,
{
"error": "<string>",
"message": "<string>"
}<string>{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Exports and analytics
Export message statistics as CSV
Get daily campaign and user journey statistics as CSV.
GET
/
v1
/
projects
/
{projectId}
/
statistics.csv
get-campaign-statistics-csv
curl --request GET \
--url https://api.notifly.tech/v1/projects/{projectId}/statistics.csvimport requests
url = "https://api.notifly.tech/v1/projects/{projectId}/statistics.csv"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.notifly.tech/v1/projects/{projectId}/statistics.csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/v1/projects/{projectId}/statistics.csv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/v1/projects/{projectId}/statistics.csv"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notifly.tech/v1/projects/{projectId}/statistics.csv")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/v1/projects/{projectId}/statistics.csv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodydate,resource_type,resource_id,resource_name,node_id,node_name,variant_id,variant_name,channel,channel_subtype,brand_message_target,tags,message_sent,message_failed,delivered,click,conversion_1_name,conversion_1_type,conversion_1_count,conversion_2_name,conversion_2_type,conversion_2_count,conversion_3_name,conversion_3_type,conversion_3_count,conversion_4_name,conversion_4_type,conversion_4_count,conversion_5_name,conversion_5_type,conversion_5_count,conversion_6_name,conversion_6_type,conversion_6_count,conversion_7_name,conversion_7_type,conversion_7_count,conversion_8_name,conversion_8_type,conversion_8_count,conversion_9_name,conversion_9_type,conversion_9_count,conversion_10_name,conversion_10_type,conversion_10_count
01/06/2025,campaign,campaign_example,Welcome,,,,,push-notification,text,,summer,1500,23,1477,234,purchase,전체 전환,45,,,,,,,,,,,,,,,,,,,,,,,,,,,
{
"error": "<string>",
"message": "<string>"
}<string>{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}To set the date range, use
start and end together, or use since or last. The default date range is seven days. To query a single day, set start and end to the same date. offset applies only to since and last. Reporting dates use KST and exclude today.Query Parameters
Response
Returns text/csv when data is available. Dates use DD/MM/YYYY and unavailable metrics are 0. Up to ten conversions appear in conversion_1 through conversion_10. Conversion types are 전체 전환 (total), 직접 전환 (direct), or 전환 매출 (revenue). Unused slots are blank. Returns a text/plain message for empty results, some date range errors, or CSV files over 2 MB.
The response is of type string.
